With gtk3-nocsd installed, use "Default" for GNOME Application style, not "Breeze"
Closed, InvalidPublic


We recently added the gtk3-nocsd package to Kubuntu, in order to improve the visuals of GTK3 apps that use client-side decorations. This works, but this causes a minor UI issue that we can improve on.

By default, GNOME Application Style uses Breeze in System Settings > Application Style > GNOME Application Style (GTK) > Select a GTK3 theme. This style doesn't look as good for GTK3 apps anymore, now that we've turned the CSD headerbar into a toolbar.

Here's how it looks now, with gtk3-nocsd but the Breeze style:

And here's how it looks when we change Breeze to Default in System Settings > Application Style > GNOME Application Style (GTK) > Select a GTK3 theme:

Much better, no?

ngraham created this task.Aug 19 2017, 2:18 PM
clivej added a subscriber: clivej.Aug 19 2017, 2:45 PM

With the announcement of Unity being dropped by Canonical and Ubuntu changing back to GNOME, there could be users who might be considering moving to Plasma instead of GNOME. This led to some of us considering providing a few themes installed by the iso for Kubuntu which might make those users feel more at home. ie a theme which makes Plasma look like Unity.

We could maybe have another "Kubuntu" one. Do you know much about making themes in Plasma?

I don't, sorry. Using a vertical icons-only task manager on the left side of the screen would provide a lot of that experience, though. In fact that's what I use myself.

The issue in this issue is that the Breeze GTK theme aims to make CSD GNOME apps look tolerable (and IMHO fails), but by installing gtk3-nocsd, we have removed the CSDs. So there is no longer a need to theme GTK3 apps with the Breeze theme; we can safely let them use the default style and they will look fine, because we are having KWin wrap them with appropriate Plasma-style window decorations.

@ngraham are you on IRC?

ngraham added a comment.EditedAug 19 2017, 2:52 PM

I can be. I go by NateGraham. I've just joined #kde, #kde-devel, and #kubuntu.

clivej triaged this task as Wishlist priority.Aug 21 2017, 9:01 PM

I don't know how we could do this, changing priority to "Wishlist"

To be honest I don't see the point of applying a sub-optimal theme to any other GTK apps, to make titlebars look slightly less ugly due to the application of another hack/change, which was arguably not really needed or sub-optimal itself.

The whole point was to make GTK3 apps with CSDs look and behave better. Without any of these changes, they just look terrible, as I explained in https://phabricator.kde.org/T6818: They lack shadows, the window corners are pointed, there is no visual differentiation between active and inactive windows, they can't be easily killed, etc. Lots of issues. Hacking around these issues is indeed a bit of a pain in the butt, but the alternative is to accept a really sub-par user experience when any Kubuntu users use GTK3 programs that use CSDs.

ngraham closed this task as Invalid.Dec 14 2017, 11:00 PM

We removed the gtk3-nocsd hack, so this is no longer relevant.

clivej removed a subscriber: clivej.Dec 14 2017, 11:01 PM